---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/sekai/Library/Developer/Xcode/DerivedData/sing-box-cphsvothqwltbycautzsfcpwhfds/Build/Intermediates.noindex/ArchiveIntermediates/SFM.System/IntermediateBuildFilesPath/UninstalledProducts/macosx/RootHelper'
relocations:
  - { offset: 0x7B283, size: 0x8, addend: 0x0, symName: _RootHelperVersionString, symObjAddr: 0x0, symBinAddr: 0x100003AD0, symSize: 0x0 }
  - { offset: 0x7B2BA, size: 0x8, addend: 0x0, symName: _RootHelperVersionNumber, symObjAddr: 0x30, symBinAddr: 0x100003B00, symSize: 0x0 }
  - { offset: 0x7B2F8, size: 0x8, addend: 0x0, symName: _main, symObjAddr: 0x0, symBinAddr: 0x100001300, symSize: 0x40 }
  - { offset: 0x7B332, size: 0x8, addend: 0x0, symName: _main, symObjAddr: 0x0, symBinAddr: 0x100001300, symSize: 0x40 }
  - { offset: 0x7B3C9, size: 0x8, addend: 0x0, symName: '_$sSo18NSFileAttributeKeyaMa', symObjAddr: 0x370, symBinAddr: 0x100001670, symSize: 0x30 }
  - { offset: 0x7B3DD, size: 0x8, addend: 0x0, symName: '_$sSo18NSFileAttributeKeyas20_SwiftNewtypeWrapperSCSYWb', symObjAddr: 0x3A0, symBinAddr: 0x1000016A0, symSize: 0x20 }
  - { offset: 0x7B3F1, size: 0x8, addend: 0x0, symName: '_$sSo18NSFileAttributeKeyas20_SwiftNewtypeWrapperSCs35_HasCustomAnyHashableRepresentationPWb', symObjAddr: 0x3C0, symBinAddr: 0x1000016C0, symSize: 0x20 }
  - { offset: 0x7B405, size: 0x8, addend: 0x0, symName: '_$sSo18NSFileAttributeKeyaSHSCSQWb', symObjAddr: 0x3E0, symBinAddr: 0x1000016E0, symSize: 0x20 }
  - { offset: 0x7B636, size: 0x8, addend: 0x0, symName: '_$sSo18NSFileAttributeKeyaSQSCSQ2eeoiySbx_xtFZTW', symObjAddr: 0x240, symBinAddr: 0x100001540, symSize: 0x70 }
  - { offset: 0x7B724, size: 0x8, addend: 0x0, symName: '_$sSo18NSFileAttributeKeyaSHSCSH9hashValueSivgTW', symObjAddr: 0x40, symBinAddr: 0x100001340, symSize: 0x40 }
  - { offset: 0x7B79D, size: 0x8, addend: 0x0, symName: '_$sSo18NSFileAttributeKeyaSHSCSH4hash4intoys6HasherVz_tFTW', symObjAddr: 0x80, symBinAddr: 0x100001380, symSize: 0x30 }
  - { offset: 0x7B80B, size: 0x8, addend: 0x0, symName: '_$sSo18NSFileAttributeKeyaSHSCSH13_rawHashValue4seedS2i_tFTW', symObjAddr: 0xB0, symBinAddr: 0x1000013B0, symSize: 0x60 }
  - { offset: 0x7B879, size: 0x8, addend: 0x0, symName: '_$sSo18NSFileAttributeKeyas21_ObjectiveCBridgeableSCsACP09_bridgeToD1C01_D5CTypeQzyFTW', symObjAddr: 0x110, symBinAddr: 0x100001410, symSize: 0x10 }
  - { offset: 0x7B8D7, size: 0x8, addend: 0x0, symName: '_$sSo18NSFileAttributeKeyas21_ObjectiveCBridgeableSCsACP016_forceBridgeFromD1C_6resulty01_D5CTypeQz_xSgztFZTW', symObjAddr: 0x120, symBinAddr: 0x100001420, symSize: 0x70 }
  - { offset: 0x7B8F8, size: 0x8, addend: 0x0, symName: '_$sSo18NSFileAttributeKeyas21_ObjectiveCBridgeableSCsACP024_conditionallyBridgeFromD1C_6resultSb01_D5CTypeQz_xSgztFZTW', symObjAddr: 0x190, symBinAddr: 0x100001490, symSize: 0x70 }
  - { offset: 0x7B919, size: 0x8, addend: 0x0, symName: '_$sSo18NSFileAttributeKeyas21_ObjectiveCBridgeableSCsACP026_unconditionallyBridgeFromD1Cyx01_D5CTypeQzSgFZTW', symObjAddr: 0x200, symBinAddr: 0x100001500, symSize: 0x40 }
  - { offset: 0x7B954, size: 0x8, addend: 0x0, symName: '_$sSo18NSFileAttributeKeyaSYSCSY8rawValuexSg03RawE0Qz_tcfCTW', symObjAddr: 0x2B0, symBinAddr: 0x1000015B0, symSize: 0x40 }
  - { offset: 0x7B97E, size: 0x8, addend: 0x0, symName: '_$sSo18NSFileAttributeKeyaSYSCSY8rawValue03RawE0QzvgTW', symObjAddr: 0x2F0, symBinAddr: 0x1000015F0, symSize: 0x20 }
  - { offset: 0x7B9A7, size: 0x8, addend: 0x0, symName: '_$sSo18NSFileAttributeKeyas35_HasCustomAnyHashableRepresentationSCsACP03_toefG0s0fG0VSgyFTW', symObjAddr: 0x310, symBinAddr: 0x100001610, symSize: 0x60 }
  - { offset: 0x7BA62, size: 0x8, addend: 0x0, symName: '_$s10RootHelper6logger33_2241DC40A1806AA477441E9E6A961CA5LL_WZ', symObjAddr: 0x0, symBinAddr: 0x100001740, symSize: 0x50 }
  - { offset: 0x7BA7A, size: 0x8, addend: 0x0, symName: '_$s10RootHelper6logger33_2241DC40A1806AA477441E9E6A961CA5LL_WZ', symObjAddr: 0x0, symBinAddr: 0x100001740, symSize: 0x50 }
  - { offset: 0x7BCDE, size: 0x8, addend: 0x0, symName: '_$s10RootHelper0aB7ServiceCfETo', symObjAddr: 0x180, symBinAddr: 0x1000018C0, symSize: 0x20 }
  - { offset: 0x7BD0D, size: 0x8, addend: 0x0, symName: '_$s10RootHelper0aB7ServiceCMa', symObjAddr: 0x1A0, symBinAddr: 0x1000018E0, symSize: 0x20 }
  - { offset: 0x7BD71, size: 0x8, addend: 0x0, symName: '_$s2os32getNullTerminatedUTF8PointerImpl_21storingStringOwnersInSVSS_SpyypGSgztF', symObjAddr: 0x400, symBinAddr: 0x100001B40, symSize: 0xB0 }
  - { offset: 0x7BD9F, size: 0x8, addend: 0x0, symName: '_$ss11_StringGutsV16_deconstructUTF87scratchyXlSg5owner_xSi6lengthSb11usesScratchSb15allocatedMemorytSwSg_ts8_PointerRzlFSV_Tgq5', symObjAddr: 0x4B0, symBinAddr: 0x100001BF0, symSize: 0x130 }
  - { offset: 0x7BE0A, size: 0x8, addend: 0x0, symName: '_$ss11_StringGutsV23_allocateForDeconstructyXl5owner_SVSi6lengthtyF', symObjAddr: 0x5E0, symBinAddr: 0x100001D20, symSize: 0x60 }
  - { offset: 0x7BE57, size: 0x8, addend: 0x0, symName: '_$ss32_copyCollectionToContiguousArrayys0dE0Vy7ElementQzGxSlRzlFSS8UTF8ViewV_Tgq5', symObjAddr: 0x640, symBinAddr: 0x100001D80, symSize: 0x150 }
  - { offset: 0x7BECB, size: 0x8, addend: 0x0, symName: '_$sSa6append10contentsOfyqd__n_t7ElementQyd__RszSTRd__lFs5UInt8V_SayAFGTgq5', symObjAddr: 0x790, symBinAddr: 0x100001ED0, symSize: 0xE0 }
  - { offset: 0x7BF92, size: 0x8, addend: 0x0, symName: '_$ss22_ContiguousArrayBufferV19_uninitializedCount15minimumCapacityAByxGSi_SitcfCs5UInt8V_Tt1gq5', symObjAddr: 0x870, symBinAddr: 0x100001FB0, symSize: 0x70 }
  - { offset: 0x7BFE7, size: 0x8, addend: 0x0, symName: '_$ss12_ArrayBufferV20_consumeAndCreateNew14bufferIsUnique15minimumCapacity13growForAppendAByxGSb_SiSbtFs5UInt8V_Tgq5', symObjAddr: 0x8E0, symBinAddr: 0x100002020, symSize: 0x100 }
  - { offset: 0x7C242, size: 0x8, addend: 0x0, symName: ___swift_project_value_buffer, symObjAddr: 0x13E0, symBinAddr: 0x100002B20, symSize: 0x20 }
  - { offset: 0x7C256, size: 0x8, addend: 0x0, symName: ___swift_destroy_boxed_opaque_existential_0, symObjAddr: 0x1400, symBinAddr: 0x100002B40, symSize: 0x30 }
  - { offset: 0x7C26A, size: 0x8, addend: 0x0, symName: '_$sypWOc', symObjAddr: 0x1430, symBinAddr: 0x100002B70, symSize: 0x30 }
  - { offset: 0x7C27E, size: 0x8, addend: 0x0, symName: ___swift_instantiateConcreteTypeFromMangledNameV2, symObjAddr: 0x1460, symBinAddr: 0x100002BA0, symSize: 0x40 }
  - { offset: 0x7C292, size: 0x8, addend: 0x0, symName: ___swift_allocate_value_buffer, symObjAddr: 0x14A0, symBinAddr: 0x100002BE0, symSize: 0x40 }
  - { offset: 0x7C2A6, size: 0x8, addend: 0x0, symName: '_$sSS_yptWOh', symObjAddr: 0x14E0, symBinAddr: 0x100002C20, symSize: 0x40 }
  - { offset: 0x7C2BA, size: 0x8, addend: 0x0, symName: '_$sSS_yptWOc', symObjAddr: 0x1520, symBinAddr: 0x100002C60, symSize: 0x40 }
  - { offset: 0x7C2CE, size: 0x8, addend: 0x0, symName: '_$sypWOb', symObjAddr: 0x1560, symBinAddr: 0x100002CA0, symSize: 0x20 }
  - { offset: 0x7C649, size: 0x8, addend: 0x0, symName: '_$s10RootHelper0aB7ServiceC5startyyF', symObjAddr: 0x50, symBinAddr: 0x100001790, symSize: 0xC0 }
  - { offset: 0x7C6DF, size: 0x8, addend: 0x0, symName: '_$s10RootHelper0aB7ServiceCACycfcTo', symObjAddr: 0x110, symBinAddr: 0x100001850, symSize: 0x40 }
  - { offset: 0x7C714, size: 0x8, addend: 0x0, symName: '_$s10RootHelper0aB7ServiceCfD', symObjAddr: 0x150, symBinAddr: 0x100001890, symSize: 0x30 }
  - { offset: 0x7C754, size: 0x8, addend: 0x0, symName: '_$s10RootHelper0aB7ServiceC8listener_25shouldAcceptNewConnectionSbSo13NSXPCListenerC_So15NSXPCConnectionCtFTo', symObjAddr: 0x1C0, symBinAddr: 0x100001900, symSize: 0x70 }
  - { offset: 0x7C790, size: 0x8, addend: 0x0, symName: '_$s10RootHelper0aB7ServiceC19findConnectionOwner10ipProtocol13sourceAddress0I4Port011destinationJ00lK05replyys5Int32V_SSALSSALy7Library0eF6ResultCSg_So7NSErrorCSgtctFTo', symObjAddr: 0x230, symBinAddr: 0x100001970, symSize: 0xC0 }
  - { offset: 0x7C7FE, size: 0x8, addend: 0x0, symName: '_$s10RootHelper0aB7ServiceC23getWorkingDirectorySize5replyyys5Int64V_So7NSErrorCSgtc_tFTo', symObjAddr: 0x2F0, symBinAddr: 0x100001A30, symSize: 0x30 }
  - { offset: 0x7C880, size: 0x8, addend: 0x0, symName: '_$s10RootHelper0aB7ServiceC21cleanWorkingDirectory5replyyySo7NSErrorCSgc_tFTo', symObjAddr: 0x320, symBinAddr: 0x100001A60, symSize: 0x50 }
  - { offset: 0x7C8C7, size: 0x8, addend: 0x0, symName: '_$s10RootHelper0aB7ServiceC10getVersion5replyyySSc_tFTo', symObjAddr: 0x370, symBinAddr: 0x100001AB0, symSize: 0x90 }
  - { offset: 0x7C9B9, size: 0x8, addend: 0x0, symName: '_$s10RootHelper0aB7ServiceC8listener_25shouldAcceptNewConnectionSbSo13NSXPCListenerC_So15NSXPCConnectionCtFTf4dnn_n', symObjAddr: 0x9E0, symBinAddr: 0x100002120, symSize: 0x200 }
  - { offset: 0x7CC41, size: 0x8, addend: 0x0, symName: '_$sSD17dictionaryLiteralSDyxq_Gx_q_td_tcfCSS_ypTt0g5Tf4g_n', symObjAddr: 0xBE0, symBinAddr: 0x100002320, symSize: 0xF0 }
  - { offset: 0x7CE4B, size: 0x8, addend: 0x0, symName: '_$s10RootHelper0aB7ServiceC19findConnectionOwner10ipProtocol13sourceAddress0I4Port011destinationJ00lK05replyys5Int32V_SSALSSALy7Library0eF6ResultCSg_So7NSErrorCSgtctF012$s7Library21efp6CSgSo7qT18IeyByy_AdGIeggg_TRApSIeyByy_Tf1nnnnncn_nTf4nnnnndg_n', symObjAddr: 0xCD0, symBinAddr: 0x100002410, symSize: 0x4E0 }
  - { offset: 0x7D182, size: 0x8, addend: 0x0, symName: '_$s10RootHelper0aB7ServiceC21cleanWorkingDirectory5replyyySo7NSErrorCSgc_tF05$sSo7H18CSgIeyBy_ACIegg_TRAHIeyBy_Tf1cn_nTf4dg_n', symObjAddr: 0x11B0, symBinAddr: 0x1000028F0, symSize: 0x230 }
  - { offset: 0x7D418, size: 0x8, addend: 0x0, symName: '_$ss22__RawDictionaryStorageC4findys10_HashTableV6BucketV6bucket_Sb5foundtxSHRzlFSS_Tg5', symObjAddr: 0x0, symBinAddr: 0x100002D10, symSize: 0x60 }
  - { offset: 0x7D43B, size: 0x8, addend: 0x0, symName: '_$ss22__RawDictionaryStorageC4findys10_HashTableV6BucketV6bucket_Sb5foundtxSHRzlFSS_Tg5', symObjAddr: 0x0, symBinAddr: 0x100002D10, symSize: 0x60 }
  - { offset: 0x7D468, size: 0x8, addend: 0x0, symName: '_$ss22__RawDictionaryStorageC4findys10_HashTableV6BucketV6bucket_Sb5foundtxSHRzlFSo18NSFileAttributeKeya_Tg5', symObjAddr: 0x60, symBinAddr: 0x100002D70, symSize: 0x80 }
  - { offset: 0x7D512, size: 0x8, addend: 0x0, symName: '_$ss22__RawDictionaryStorageC4find_9hashValues10_HashTableV6BucketV6bucket_Sb5foundtx_SitSHRzlFSS_Tg5', symObjAddr: 0xE0, symBinAddr: 0x100002DF0, symSize: 0xC0 }
  - { offset: 0x7D569, size: 0x8, addend: 0x0, symName: '_$ss22__RawDictionaryStorageC4find_9hashValues10_HashTableV6BucketV6bucket_Sb5foundtx_SitSHRzlFSo18NSFileAttributeKeya_Tg5', symObjAddr: 0x1A0, symBinAddr: 0x100002EB0, symSize: 0x100 }
  - { offset: 0x7D729, size: 0x8, addend: 0x0, symName: '_$sypSgWOh', symObjAddr: 0xB80, symBinAddr: 0x100003890, symSize: 0x40 }
  - { offset: 0x7D73D, size: 0x8, addend: 0x0, symName: '_$sSo18NSFileAttributeKeyaABSHSCWl', symObjAddr: 0xC00, symBinAddr: 0x1000038D0, symSize: 0x40 }
  - { offset: 0x7D93C, size: 0x8, addend: 0x0, symName: '_$s10RootHelper23WorkingDirectoryManagerO7getSizes5Int64VyFZTf4d_n', symObjAddr: 0x2A0, symBinAddr: 0x100002FB0, symSize: 0x4F0 }
  - { offset: 0x7DAA6, size: 0x8, addend: 0x0, symName: '_$s10RootHelper23WorkingDirectoryManagerO5cleanyyKFZTf4d_n', symObjAddr: 0x790, symBinAddr: 0x1000034A0, symSize: 0x3F0 }
...
